# == Schema Information
#
# Table name: contestants
#
#  id           :integer          not null, primary key
#  display_time :string
#  email        :string
#  name         :string
#  created_at   :datetime         not null
#  updated_at   :datetime         not null
#  contest_id   :integer          not null
#
# Indexes
#
#  index_contestants_on_contest_id  (contest_id)
#
# Foreign Keys
#
#  contest_id  (contest_id => contests.id)
#
class Contestant < ApplicationRecord
  belongs_to :contest
  has_many :completions

  validates :name, presence: true
end
